<div id="body" class="container-fluid">
  <div class="row mx-n5">
    <div class="col">
      <h6>MSS Product Types</h6>
      <form [formGroup]="form" novalidate>
        <mat-accordion>
          <mat-expansion-panel [expanded]="true" class="card">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>MSS Product Types - Form</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24">
                <label for="name" class="col-form-label col-24 col-lg-4 text-danger">Name: </label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                  <input #name name="name" type="text" class="form-control form-control-sm" formControlName="name" />
                  <div *ngIf="sdePrdctTypeNme.invalid && (sdePrdctTypeNme.dirty || sdePrdctTypeNme.touched)">
                    <span *ngIf="sdePrdctTypeNme.errors.required" class="form-text text-danger">
                      Name is required
                    </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24">
                <label for="description" class="col-form-label col-24 col-lg-4 text-danger">Description: </label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                  <input name="description" class="form-control form-control-sm" formControlName="description" type="text" required />
                  <div *ngIf="sdePrdctTypeDesc.invalid && (sdePrdctTypeDesc.dirty || sdePrdctTypeDesc.touched)">
                    <span *ngIf="sdePrdctTypeDesc.errors.required" class="form-text text-danger">
                      Description is required
                    </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24">
                <label for="order" class="col-form-label col-24 col-lg-4 text-danger">Order: </label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                  <input name="order" class="form-control form-control-sm" numbersOnly formControlName="order" type="text" required />
                  <div *ngIf="ordrBySeqNbr.invalid && (ordrBySeqNbr.dirty || ordrBySeqNbr.touched)">
                    <span *ngIf="ordrBySeqNbr.errors.required" class="form-text text-danger">
                      Order is required
                    </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-row" [style.display]="isOnEdit ? 'inherit' : 'none' ">
              <div class="form-group form-group-sm row col-24">
                <label for="active" class="col-form-label col-24 col-lg-4">Active: </label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                  <dx-check-box name="active" formControlName="active"></dx-check-box>
                  <!--<input type="checkbox" name="active" class="form-control form-control-sm" formControlName="active" />-->
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24">
                <label for="outsourced" class="col-form-label col-24 col-lg-4">Outsourced: </label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                  <dx-check-box name="outsourced" formControlName="outsourced"></dx-check-box>
                  <!--<input type="checkbox" name="outsourced" class="form-control form-control-sm" formControlName="outsourced" />-->
                </div>
              </div>
            </div>
            <div class="form-row text mt-2">
              <div class="form-group form-group-sm col-12 col-md-4 col-lg-3 offset-md-8 offset-lg-9">
                <button class="btn btn-sm btn-primary btn-block" type="button" (click)="onSubmit()">
                  Save
                </button>
              </div>
              <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
                <button class="btn btn-sm btn-secondary btn-block" type="button" (click)="clearForm()">
                  Cancel
                </button>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>
      </form>
      <br />
      <mat-accordion>
        <mat-expansion-panel [expanded]="true" class="card">
          <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
            <mat-panel-title><h6>MSS Product Types - Registered</h6></mat-panel-title>
          </mat-expansion-panel-header>
          <dx-data-grid #grid id="grid" [dataSource]="productTypeList" keyExpr="sdePrdctTypeId"
                        [wordWrapEnabled]="true" [rowAlternationEnabled]="true" [showBorders]="true"
                        [columnAutoWidth]="true"
                        (onSelectionChanged)="selectionChangedHandler($event)"
                        (onToolbarPreparing)="onToolbarPreparing($event)"
                        (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                        (onExporting)="onExporting($event)">
            <dxo-sorting mode="multiple"></dxo-sorting>
            <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
            <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
            <dxo-header-filter [visible]="true"></dxo-header-filter>
            <dxo-filter-panel [visible]="true"></dxo-filter-panel>
            <dxo-paging [pageSize]="50"></dxo-paging>
            <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
            <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
            <dxi-column type="buttons" headerCellTemplate="editHeaderTemplate" [minWidth]="50">
              <dxi-button hint="Edit" icon="edit" [onClick]="loadEditForm"></dxi-button>
            </dxi-column>

            <dxi-column dataField="ordrBySeqNbr" caption="Order" dataType="string">
              <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-column>
            <dxi-column dataField="sdePrdctTypeNme" caption="Name" dataType="string">
              <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-column>
            <dxi-column dataField="sdePrdctTypeDesc" caption="Description" dataType="string">
              <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-column>
            <dxi-column dataField="recStusId" caption="Active" dataType="boolean"></dxi-column>
            <dxi-column dataField="outsrcdCd" caption="Outsourced" dataType="boolean"></dxi-column>

            <div *dxTemplate="let data of 'editHeaderTemplate'">
              <div>Edit</div>
            </div>
            <div *dxTemplate="let data of 'exportTemplate'">
              <button type="button" class="btn btn-sm btn-primary"
                      (click)="grid.instance.exportToExcel(false)">
                Export to Excel
              </button>
            </div>
            <div *dxTemplate="let data of 'removeTemplate'">
              <button class="btn btn-sm btn-primary" type="button"
                      [disabled]="!selectedItemKeys.length" (click)="deleteRows()">
                Remove Selected Records
              </button>
            </div>
          </dx-data-grid>
        </mat-expansion-panel>
      </mat-accordion>
    </div>
  </div>
</div>